Author: jerry
Date: 2005-08-24 13:09:13 +0000 (Wed, 24 Aug 2005)
New Revision: 9583

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=9583

Log:
ensure that Samba was with with --enable-socket-wrapper for running 'make test'
Modified:
   branches/SAMBA_3_0/source/script/tests/runtests.sh


Changeset:
Modified: branches/SAMBA_3_0/source/script/tests/runtests.sh
===================================================================
--- branches/SAMBA_3_0/source/script/tests/runtests.sh  2005-08-24 12:42:32 UTC 
(rev 9582)
+++ branches/SAMBA_3_0/source/script/tests/runtests.sh  2005-08-24 13:09:13 UTC 
(rev 9583)
@@ -44,6 +44,19 @@
 export SRCDIR SCRIPTDIR
 export USERNAME PASSWORD
 
+
+##
+## verify that we were built with --enable-socket-wrapper
+##
+
+if test "x`smbd -b | grep SOCKET_WRAPPER`" == "x"; then
+       echo "***"
+       echo "*** You must include --enable-socket-wrapper when compiling Samba"
+       echo "*** in order to execute 'make test'.  Exiting...."
+       echo "***"
+       exit 1
+fi
+
 ## 
 ## create the test directory layout
 ##

Reply via email to